/*
    YoctOS: LPC2148 Dev Board Operating System

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.        

    (C) Jason Hunt
    nulluser@gmail.com
   
    File: system.S
*/

.text
.arm



/* Return current stack pointer */
.global get_sp
get_sp:
    mov r0, sp
    mov pc, lr
        


/* Return currept processor status register */
.global get_cpsr
get_cpsr:
    mrs     r0, cpsr
    mov     pc, lr



/* Set currept processor status register */
.global set_cpsr
set_cpsr:
    msr  cpsr, r0
    mov     pc, lr

